stages:
  - build
  - deploy

variables:
  LANDING_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME

build site:
  services: 
  - docker:dind
  stage: build
  before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
  script:
  - docker build -t ${LANDING_IMAGE} .
  - docker push ${LANDING_IMAGE}
  only:
  - master

deploy float:
  image: alpine:latest
  stage: deploy
  script:
  - mkdir -p /root/.ssh
  - echo "${LOOT_HERE}" > ~/.ssh/id_rsa
  - chmod 600 ~/.ssh/id_rsa
  - apk add --update openssh-client
  - ssh -o StrictHostKeyChecking=no deploy@163.172.178.167 "docker pull ${LANDING_IMAGE} && 
    docker stop landing || true &&
    docker rm --force landing || true &&
    docker run --name landing -d -p 8079:8080 ${LANDING_IMAGE}"
  only:
  - master
